#!/usr/local/bin/perl -w
use strict; use Tk;

my $link_num = 1; my $link_limit = 9; my @current;
my $mw = MainWindow->new();;
$mw->title("example 2");
my $f = $mw->Frame(-relief => "ridge", -borderwidth => 2
                  )->pack(-side => "top", -anchor => "n", 
                          -expand => 1, -fill => "x");
my $url_mb = $f->Menubutton(-text => "URL", -tearoff => 0,
                             -menuitems => [
                                 ['command' => "New Link",
                                  -command => \&new_link ],
                                 "-"
                              ])->pack(-side => "left");
$f->Button(-text => "Exit", -command => sub {exit}
          )->pack(-side => "right");
$mw->Button(-text => "New Link",
            -command => \&new_link)->pack(-side => "bottom",
                                              -anchor => "e");
my $entry = $mw->Entry(-width => 40)->pack(-expand => 1, 
                                           -fill => "both");
MainLoop;

sub new_link {
  my $name = "Link $link_num";
  $link_num++; 
  push(@current,$name);
  $url_mb->command(-label => "$name",
                    -command => [ \&select_link, $name]);
  &select_link($name);
  if ($#current > $link_limit) {
     $url_mb->menu->delete(2); shift(@current);
  }
}

sub select_link {
  my ($selected) = @_;
  $entry->delete(0, 'end');
  $entry->insert('end', "Selected Link: $selected");
}
