#!/usr/local/bin/perl -w
use strict; use Tk;

my $main = new MainWindow;
my $menu = $main->Menu;
$menu->add("command", -label => "Donald", -command => \&do);
$menu->add("command", -label => "Dagobert", -command => \&do);
$menu->add("separator");
$menu->add("command", -label => "Exit", -command => sub { exit });
my $choice = $main->Button(-text => "Choice")->pack(-fill=>"x");
$choice->bind("<Button-3>", 
              sub { $menu->Popup(-popover => 'cursor', 
                                 -popanchor => "nw"); });
$main->Button(-text => "Insert", 
              -command => sub { $menu->insert("Dagobert", "command",
                                              -label => "Daisy",
                                              -command => \&do);
                              })->pack(-side => "bottom", -fill=>"x");
$main->Button(-text => "Delete (1)", 
              -command => sub { $menu->delete(1) ;
                                #delete `tearoff' not possible
                              })->pack(-side => "bottom", -fill=>"x");
$main->Button(-text => "Invoke (1)", 
              -command => sub { $menu->invoke(1) ;
                              })->pack(-side => "bottom", -fill=>"x");
$main->Button(-text => "Type (0)", 
              -command => sub { my $type = $menu->type(0) ;
                                print "Typ: $type\n";
                              })->pack(-side => "bottom", -fill=>"x");
$main->Button(-text => "Last", 
              -command => sub { my $last = $menu->index('end') ;
                                print "Last index: $last\n";
                              })->pack(-side => "bottom", -fill=>"x");
MainLoop;
sub do { print ":-)\n"; }
