#!/usr/local/bin/perl -w
use strict; use Tk;

my @menus;
my $mw = MainWindow->new();;
$mw->title("example 1");
$mw->Scrolled("Text", -height => 8, -width => 40
             )->pack(-side => "bottom", 
                     -expand => 1, -fill => 'both');
my $f = $mw->Frame(-relief => "ridge", -borderwidth => 2
                  )->pack(-side => "top", -anchor => "n", 
                          -expand => 1, -fill => "x");
foreach (qw/File Edit View ?/) {
    push (@menus, $f->Menubutton(-text => $_));
}
$menus[3]->pack(-side => "right");
$menus[0]->pack(-side => "left");
$menus[1]->pack(-side => "left");
$menus[2]->pack(-side => "left");

my $sub = $menus[3]->Menu(-tearoff => 0, -menuitems => [
                     [ 'command' => "quick" ], 
                     [ 'command' => 'context' ]]);
$menus[3]->configure(-menu => $sub);

$sub = $menus[0]->Menu(-tearoff => 0, -menuitems => [
                     [ 'command' => "load" ], 
                     [ 'command' => 'save' ],
                     [ 'command' => 'save as' ],
                     [ 'command' => 'print' ],
                     '-',
                     [ 'command' => 'Exit' , -command => sub {exit;}] ]);
$menus[0]->configure(-menu => $sub);

$sub = $menus[1]->Menu(-tearoff => 0, -menuitems => [
                     [ 'command' => "cut" ], 
                     [ 'command' => 'copy' ],
                     [ 'command' => 'paste' ],
                     [ 'command' => 'cancel' ] ]);
$menus[1]->configure(-menu => $sub);

$sub = $menus[2]->Menu(-tearoff => 0, -menuitems => [
                     [ 'command' => "portrait" ], 
                     [ 'command' => 'landscape' ],
                     [ 'command' => 'refresh' ] ]);
$menus[2]->configure(-menu => $sub);

MainLoop;
